Package opennlp.morfologik.lemmatizer

## Class MorfologikLemmatizer

- java.lang.Object
- - opennlp.morfologik.lemmatizer.MorfologikLemmatizer

- All Implemented Interfaces:
    `opennlp.tools.lemmatizer.Lemmatizer`

      public class MorfologikLemmatizer
      extends Object
      implements opennlp.tools.lemmatizer.Lemmatizer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MorfologikLemmatizer​(Path dictionaryPath)` |
    `MorfologikLemmatizer​(morfologik.stemming.Dictionary dictionary)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String[]` | `lemmatize​(String[] toks, String[] tags)` |
    `List<List<String>>` | `lemmatize​(List<String> toks, List<String> tags)` | Generates a lemma tags for the word and postag returning the result in list of possible lemmas.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MorfologikLemmatizer

          public MorfologikLemmatizer​(Path dictionaryPath)
                               throws IllegalArgumentException,
                                      IOException

      Throws:
        `IllegalArgumentException`
        `IOException`

    - #### MorfologikLemmatizer

          public MorfologikLemmatizer​(morfologik.stemming.Dictionary dictionary)
                               throws IllegalArgumentException,
                                      IOException

      Throws:
        `IllegalArgumentException`
        `IOException`

  - ### Method Detail

    - #### lemmatize

          public String[] lemmatize​(String[] toks,
                                    String[] tags)

      Specified by:
        `lemmatize` in interface `opennlp.tools.lemmatizer.Lemmatizer`

    - #### lemmatize

          public List<List<String>> lemmatize​(List<String> toks,
                                              List<String> tags)

      Generates a lemma tags for the word and postag returning the result in list of possible lemmas.
      Specified by:
        `lemmatize` in interface `opennlp.tools.lemmatizer.Lemmatizer`
      Parameters:
        `toks` - an array of the tokens
        `tags` - an array of the pos tags
      Returns:
        an list of possible lemmas for each token in the sequence.